<bugID>592549<Summary>(NS_ERROR_FAILURE) [nsIStreamListener.onStartRequest] error in web console</Summary><Description>Seen while running Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:2.0b5) Gecko/20100101 Firefox/4.0b5

STR:
1. Load http://www.bing.com/videos/watch/video/lindsays-tragic-tailspin-continues/1l11t4l
2. Open the web console
3. Receive this error: 

Error: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIStreamListener.onStartRequest]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://gre/modules/HUDService.jsm :: RL_onStartRequest :: line 218"  data: no]
Source File: resource://gre/modules/HUDService.jsm
Line: 218

Not sure if this is Bug 592523?</Description></bugID>